fjr
Posts: 102
Joined: Thu Aug 15, 2013 8:18 pm

new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 7:27 pm

raspberry pi zero
raspbian installed from noobs v. 3.2.1

Raspberry pi zero connected to internet by usb ethernet.

sudo apt-get update and
sudo apt-get upgrade
displays message
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
vlc-bin : Depends: libvlc-bin (= 3.0.8-0+deb10u1+rpt1) but 3.0.8-0+deb10u1+rpt7 is to be installed
vlc-plugin-skins2 : Depends: vlc-plugin-qt (= 3.0.8-0+deb10u1+rpt7) but 3.0.8-0+deb10u1+rpt1 is to be installed
E: Broken packages
$
How can I upgrade?
Thank you.

alphanumeric
Posts: 2649
Joined: Tue Jan 19, 2016 2:17 pm
Location: Sydney, Nova Scotia, Canada

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 8:22 pm

Try apt instead of apt-get, sudo apt update, sudo apt upgrade.

User avatar
rpdom
Posts: 17550
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 8:50 pm

Probably an out of sync mirror or one in the middle of an update. I think someone else reported a similar issue recently.

Try the update and upgrade again later.

It won't make any difference in this case (or most cases) if you use apt or apt-get.
Unreadable squiggle

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6237
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 8:54 pm

iirc, 'upgrade' will refuse to remove packages, but this particular update will want to replace some. full-upgrade or dist-upgrade should handle it.

User avatar
rpdom
Posts: 17550
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 9:01 pm

ShiftPlusOne wrote:
Sat Jan 25, 2020 8:54 pm
iirc, 'upgrade' will refuse to remove packages, but this particular update will want to replace some. full-upgrade or dist-upgrade should handle it.
True, but 'upgrade' won't try to handle any packages that need new packages installed or old ones removed. It will just show them as "x packages not upgraded" instead of spitting out errors.
Unreadable squiggle

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6237
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 9:12 pm

Then I think I'd need to get an old image and try the 'upgrade' method to figure out exactly what it's complaining about, because quite a few people are having trouble with this one.

I am 80% sure that the recommended approach of 'sudo apt update && sudo apt full-upgrade' will resolve it though.


User avatar
rpdom
Posts: 17550
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sat Jan 25, 2020 10:22 pm

ShiftPlusOne wrote:
Sat Jan 25, 2020 9:12 pm
Then I think I'd need to get an old image and try the 'upgrade' method to figure out exactly what it's complaining about, because quite a few people are having trouble with this one.

I am 80% sure that the recommended approach of 'sudo apt update && sudo apt full-upgrade' will resolve it though.
I'll have a go myself too, when I get time. Too busy tomorrow, off to a spider show in Kent. We will be bringing one home with us :)
Unreadable squiggle

fjr
Posts: 102
Joined: Thu Aug 15, 2013 8:18 pm

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sun Jan 26, 2020 9:32 am

I ran

Code: Select all

sudo apt update
sudo apt full-upgrade
sudo apt dist-upgrade

Code: Select all

sudo apt update
sudo apt upgrade

Code: Select all

sudo apt-get update
sudo apt-get upgrade
All commands displayed
0 upgrated
0 newly installed
0 not upgraded

Can it be right, that there are no updates for
a new installed system?
an out of sync mirror
Can this error stay on for hours?

User avatar
rpdom
Posts: 17550
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sun Jan 26, 2020 10:23 am

I just installed a fresh Full Raspbian system from the latest image, ran sudo apt-get update and sudo apt-get upgrade and it has all gone well.

Could you post the output of 'apt policy' and 'apt-policy vlc-bin' to see if they give us any clues.
fjr wrote:
Sun Jan 26, 2020 9:32 am
Can it be right, that there are no updates for
a new installed system?
If there have been no updates since the image the system uses was built, yes, but that isn't likely, and almost certainly not in this case.
an out of sync mirror
Can this error stay on for hours?
Sometimes. It seems a few others have had the same problem, so I suspect one of the mirrors has got some corruption somehow.
Unreadable squiggle

fjr
Posts: 102
Joined: Thu Aug 15, 2013 8:18 pm

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sun Jan 26, 2020 5:00 pm

current release is Buster
It was a mistake.
Another sd card was inserted.
Last edited by fjr on Sun Jan 26, 2020 7:25 pm, edited 1 time in total.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6237
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sun Jan 26, 2020 5:33 pm

Stretch? The current release is Buster.

User avatar
rpdom
Posts: 17550
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Sun Jan 26, 2020 6:24 pm

Running Stretch is definitely not a good idea. You should really be running Buster as ShiftPlusOne said.

However, I'm still puzzled as to where the version 3.0.8-0+deb10u1+rpt7 of libvlc-bin and vlc-plugin-qt is being picked up from. Stretch should be looking for version 3.0.8-0+deb9u1+rpt1 of those packages.

It sounds like you have a "FrankenRelease" with a mix of Stretch and Buster, but that isn't showing in your apt policy output which seems to be pure Stretch.

Could you try the update/upgrade again, verify it still comes up with those messages (just to be sure all the sources are set up correctly) and then post the output of 'apt policy libvlc-bin vlc-plugin-qt'. Hopefully that will throw some light on where these package versions are coming from.

I have tried a test on a Raspbian Stretch system, and it uses the 3.0.8-0+deb9u1+rpt1 for all of those files.
Unreadable squiggle

fjr
Posts: 102
Joined: Thu Aug 15, 2013 8:18 pm

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Tue Jan 28, 2020 3:53 pm

mix of Stretch and Buster
No my opening post was correct. It is raspbian installed
from noobs 3.2.1.

Then I had switched the sd card and that sd card had
a previous version of raspbian installed. Therefore
the wrong posting later on.
sudo apt update, sudo apt upgrade.
Now I got the right sd card, raspbian from noobs 3.2.1, mounted
and ran
sudo apt update
sud apt upgrade

It worked. Those commands also worked on a sd card,
I installed raspbian buster with desktop image
on.

fruitoftheloom
Posts: 24047
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: new installed raspbian from noobs v. 3.2.1 on rp 0 sudo apt-get update displays error

Tue Jan 28, 2020 4:23 pm

fjr wrote:
Tue Jan 28, 2020 3:53 pm
mix of Stretch and Buster
No my opening post was correct. It is raspbian installed
from noobs 3.2.1.

Then I had switched the sd card and that sd card had
a previous version of raspbian installed. Therefore
the wrong posting later on.
sudo apt update, sudo apt upgrade.
Now I got the right sd card, raspbian from noobs 3.2.1, mounted
and ran
sudo apt update
sud apt upgrade

It worked. Those commands also worked on a sd card,
I installed raspbian buster with desktop image
on.

https://www.raspberrypi.org/documentati ... pdating.md
Thinking outside the box is better than burying your head in the sand...

Return to “Beginners”